Skip to main content
POST
Register relationship type

Authorizations

Authorization
string
header
required

Organization API key, sent as Authorization: Bearer boom_org_....

Body

application/json
kind
enum<string>
required

Type kind. 'person_to_co' links people to one custom object type; 'co_to_co' links two custom object types.

Available options:
person_to_co,
co_to_co
role
string
required

Edge role, e.g. "placed" or "has_line_item".

Required string length: 1 - 255
customObjectType
string

Custom object type name. Required when kind is 'person_to_co'.

Required string length: 1 - 255
parentCustomObjectType
string

Parent custom object type name. Required when kind is 'co_to_co'.

Required string length: 1 - 255
childCustomObjectType
string

Child custom object type name. Required when kind is 'co_to_co'.

Required string length: 1 - 255
cardinality
enum<string>

Optional cardinality: ONE_TO_ONE, ONE_TO_MANY, MANY_TO_ONE, MANY_TO_MANY.

Available options:
ONE_TO_ONE,
ONE_TO_MANY,
MANY_TO_ONE,
MANY_TO_MANY
description
string

Optional human-readable description of the relationship type.

Required string length: 1 - 1000
bidirectional
boolean

Optional: whether the relationship is bidirectional.

Response

Success

kind
string
required
Allowed value: "person_to_co"
customObjectType
string
required
relationshipTypeId
string
required
role
string
required

Edge role, e.g. "placed" or "has_line_item".

cardinality
enum<string> | null
required
Available options:
ONE_TO_ONE,
ONE_TO_MANY,
MANY_TO_ONE,
MANY_TO_MANY
description
string | null
required
bidirectional
boolean
required
created
boolean
required